#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA8,0x31,0xAA,0xDB,0x91,0xFA,0xE2,0x03,0x71,0xD4,0x34,0x23,
		0xA6,0x66,0x46,0xD2,0x47,0xCF,0x73,0x79,0xE8,0xCC,0xE1,0x52,
		0x7A,0xAF,0xF1,0xC1,0xFA,0x3F,0x23,0xF6,0x9A,0x33,0x73,0x85,
		0xE1,0x85,0x6A,0xF9,0x87,0xBA,0xD7,0x9C,0x3A,0x3D,0x00,0xEB,
		0x01,0xE0,0xA9,0xDE,0xBA,0x98,0x91,0x48,0x0F,0xB9,0x79,0x12,
		0x0E,0xAA,0x8A,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
